Bug 144006 - dhcpclass processing broken for VCI info
dhcpclass processing broken for VCI info
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 12:32 EST by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 07:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2005-01-03 12:32:33 EST
Description of problem:

On a stock FC3 install you are supposed to be able to specify at DHCP
vendor class identifier to send at the boot: prompt.

According to the /usr/share/ananconda-*/command-line.txt the option to
use is: dhcpclass=<class>

I've tried this on a stock FC3 box and on the client specified:

dhcpclass=FC3

The VCI that is actually sent (verified with ethereal) is: s=FC3

It should (obviously) be: FC3
Comment 1 Jeremy Katz 2005-01-04 11:24:27 EST
Apparently, I can't count (or probably more correctly, I cut and
pasted and then forgot to count)

Fix committed to CVS
Comment 2 Tim Powers 2005-06-09 07:29:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-220.html

Note You need to log in before you can comment on or make changes to this bug.